Bug 903918 - Disable or remove emulated SCSI devices we will not support
Disable or remove emulated SCSI devices we will not support
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Miroslav Rezanina
Virtualization Bugs
:
Depends On:
Blocks: 720747 895240
  Show dependency treegraph
 
Reported: 2013-01-24 22:54 EST by juzhang
Modified: 2014-06-17 23:21 EDT (History)
11 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-7.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 921971 921974 921983 (view as bug list)
Environment:
Last Closed: 2014-06-13 09:15:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description juzhang 2013-01-24 22:54:06 EST
Description of problem:
KVM QE compared the list of cmd line and devices difference between rhel6.4 and rhel7.0. Found some virtio scsi related device are added. From KVM QE POV,  Plese disable or remove virtio scsi related devices that qemu-kvm does not support.

Version-Release number of selected component (if applicable):
Host Kernel
#uname -r
3.7.0-0.30.el7.x86_64
qemu-kvm version
qemu-kvm-1.3.0-3.el7.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
RHEL6.4
Virtio-scsi device
#/usr/libexec/qemu-kvm -device ? 2>&1 | grep -i scsi
name "virtio-scsi-pci", bus PCI, alias "virtio-scsi"
name "scsi-disk", bus SCSI, desc "virtual SCSI disk or CD-ROM (legacy)"
name "scsi-block", bus SCSI, desc "SCSI block device passthrough"
name "scsi-cd", bus SCSI, desc "virtual SCSI CD-ROM"
name "scsi-hd", bus SCSI, desc "virtual SCSI disk"
name "scsi-generic", bus SCSI, desc "pass through generic scsi device (/dev/sg*)"

RHEL7.0
Virtio-scsi device(Added sc390 and am53c974, will support on rhel7.0?)
#/usr/libexec/qemu-kvm -device ? 2>&1 | grep -i scsi
name "scsi-hd", bus SCSI, desc "virtual SCSI disk"
name "scsi-block", bus SCSI, desc "SCSI block device passthrough"
name "scsi-generic", bus SCSI, desc "pass through generic scsi device (/dev/sg*)"
name "scsi-disk", bus SCSI, desc "virtual SCSI disk or CD-ROM (legacy)"
name "scsi-cd", bus SCSI, desc "virtual SCSI CD-ROM"
name "dc390", bus PCI, desc "Tekram DC-390 SCSI adapter"
name "am53c974", bus PCI, desc "AMD Am53c974 PCscsi-PCI SCSI adapter"
name "virtio-scsi-pci", bus PCI

Expected results:
Disable or remove virtio scsi devices that qemu-kvm does not support

Additional info:
Comment 1 Richard W.M. Jones 2013-01-29 03:32:24 EST
I don't think the summary of this bug can be right.  It
sounds like you want to disable virtio-scsi, but it seems
really you want to disable some emulated SCSI devices
(dc390 & am53c974).

Note that we absolutely need virtio-scsi in RHEL 7!
Comment 2 juzhang 2013-01-29 03:38:07 EST
(In reply to comment #1)
> I don't think the summary of this bug can be right.  It
> sounds like you want to disable virtio-scsi, but it seems
> really you want to disable some emulated SCSI devices
> (dc390 & am53c974).
You are right. My intention is disable some emulated SCSI devices
(dc390 & am53c974) if qemu-kvm do not support on RHEL7. Thanks for pointing out.
> 
> Note that we absolutely need virtio-scsi in RHEL 7!
Got it.
Comment 4 Miroslav Rezanina 2013-04-23 05:42:27 EDT
Fixed in qemu-kvm-1.4.0-3.el7.x86_64.rpm
Comment 6 Markus Armbruster 2013-08-22 10:43:18 EDT
We also want "virtio-scsi: Make type virtio-scsi-common abstract"[*] once its committed upstream.

[*] https://lists.nongnu.org/archive/html/qemu-devel/2013-08/msg02651.html
Comment 7 Markus Armbruster 2013-09-18 02:25:58 EDT
It's now upstream as commit a27292b.
Comment 8 Miroslav Rezanina 2013-09-26 05:34:55 EDT
Fix included in qemu-kvm-1.5.3-7.el7
Comment 10 Jun Li 2013-12-12 01:33:53 EST
Verify this bug:
Version-Release number of selected component (if applicable):
qemu-kvm-rhev-1.5.3-21.el7.x86_64
---
# /usr/libexec/qemu-kvm -device ? 2>&1 |grep -i scsi
name "scsi-block", bus SCSI, desc "SCSI block device passthrough"
name "scsi-cd", bus SCSI, desc "virtual SCSI CD-ROM"
name "scsi-disk", bus SCSI, desc "virtual SCSI disk or CD-ROM (legacy)"
name "scsi-generic", bus SCSI, desc "pass through generic scsi device (/dev/sg*)"
name "scsi-hd", bus SCSI, desc "virtual SCSI disk"
name "virtio-scsi-device", bus virtio-bus
name "virtio-scsi-pci", bus PCI
----
Based on above test and comments 3, this bug have been verified.
Comment 11 Jun Li 2013-12-12 03:48:58 EST
Test with qemu-kvm-1.5.3-21.el7.x86_64 got the same results as comment 10.
Comment 14 Ludek Smid 2014-06-13 09:15:04 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.